fuvst_sniffer(1)

NAME
fuvst_sniffer - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
fuvst_sniffer -k <kanal/channel> [options] [station_id]

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '(null)'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

Network specific options: Use '-k BS -k BSC' to trace both sides of SS7 link, using a stereo input. Use '-v 0' for total message logging, including errors. Use '-v 1' for all messages, including resends (and weird messages from SAE). Use '-v 2' for messages between DKO and MSC.

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value.

SEE ALSO
The full documentation for [0;33m[1;31mDOPTIONS[0;m[0;33m is maintained as a Texinfo manual. If the info and [0;33m[1;31mDOPTIONS[0;m[0;33m programs are properly installed at your site, the command

    info [0;33m[1;31mDOPTIONS[0;m[0;33m

should give you access to the complete manual.